## pillow 2.7.0

=== debian/changelog ===
pillow (2.7.0-1) experimental; urgency=medium

  * Pillow 2.7.0 release.
  * Stop building the sane package, not built anymore from this source.
  * Disable running the tests in debug mode for now, hangs the build.

 -- Matthias Klose <doko@debian.org>  Thu, 26 Feb 2015 14:29:15 +0100

=== debian/control ===
Source: pillow
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Build-Depends: debhelper, tk-dev, dpkg-dev (>= 1.16.1~),
  dh-python,
  python2.7-dev (>= 2.7.8-4),
  python-all-dev, python-all-dbg, python-setuptools,
  python3-all-dev, python3-all-dbg, python3-setuptools,
  python-tk, python-tk-dbg,
  python3-tk, python3-tk-dbg,
  python-nose, python3-nose,
  libfreetype6-dev, libjpeg-dev, zlib1g-dev, liblcms2-dev,
  libtiff5-dev | libtiff-dev, libwebp-dev
Build-Conflicts: python-cffi, python3-cffi
Standards-Version: 3.9.6
Homepage: http://python-pillow.github.io/
XS-Testsuite: autopkgtest

Package: python-pil
Architecture: any
Multi-Arch: same
Depends: ${python:Depends}, mime-support | python-pil.imagetk,
  ${shlibs:Depends}, ${misc:Depends}
Suggests: python-pil-doc, python-pil-dbg
Provides: ${python:Provides}, python-pillow
Breaks: python-imaging (<< 1.1.7+2.0.0-1.1)
Replaces: python-imaging (<< 1.1.7+2.0.0-1.1)
Description: Python Imaging Library (Pillow fork)
 The Python Imaging Library (PIL) adds an image object to your Python
 interpreter. You can load images from a variety of file formats, and
 apply a rich set of image operations to them.
 .
 Image Objects:
  o Bilevel, greyscale, palette, true colour (RGB), true colour with
    transparency (RGBA).
  o colour separation (CMYK).
  o Copy, cut, paste operations.
  o Flip, transpose, resize, rotate, and arbitrary affine transforms.
  o Transparency operations.
  o Channel and point operations.
  o Colour transforms, including matrix operations.
  o Image enhancement, including convolution filters.
 .
 File Formats:
  o Full (Open/Load/Save): BMP, EPS (with ghostscript), GIF, IM, JPEG,
    MSP, PDF, PNG, PPM, TIFF, XBM.
  o Read only (Open/Load): ARG, CUR, DCX, FLI, FPX, GBR, GD, ICO, IMT, IPTC,
    MCIDAS, MPEG, PhotoCD, PCX, PIXAR, PSD, TGA, SGI, SUN, TGA, WMF, XPM.
  o Save only: PDF, EPS (without ghostscript).

Package: python-pil-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: python-pil (= ${binary:Version}), python-dbg,
  ${shlibs:Depends}, ${misc:Depends}
Provides: python-imaging-dbg
Breaks: python-imaging-dbg (<< 1.1.7+2.0.0-1.1)
Replaces: python-imaging-dbg (<< 1.1.7+2.0.0-1.1)
Description: Python Imaging Library (debug extension)
 The Python Imaging Library (PIL) adds an image object to your Python
 interpreter. You can load images from a variety of file formats, and
 apply a rich set of image operations to them.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python-pil.imagetk
Architecture: any
Multi-Arch: same
Depends: python-pil (= ${binary:Version}), python-tk (>= 2.7.7-2),
  ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: python-pil-doc, python-pil.imagetk-dbg
Provides: ${python:Provides}, python-imaging-tk
Breaks: python-imaging-tk (<< 1.1.7+2.0.0-1.1)
Replaces: python-imaging-tk (<< 1.1.7+2.0.0-1.1)
Description: Python Imaging Library - ImageTk Module (Pillow fork)
 Tk dependent python-pil module.

Package: python-pil.imagetk-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: python-pil.imagetk (= ${binary:Version}),
  python-pil-dbg (= ${binary:Version}),
  python-dbg, ${shlibs:Depends}, ${misc:Depends}
Provides: python-imaging-tk-dbg
Breaks: python-imaging-tk-dbg (<< 1.1.7+2.0.0-1.1)
Replaces: python-imaging-tk-dbg (<< 1.1.7+2.0.0-1.1)
Description: Python Imaging Library - ImageTk Module (debug extension)
 Tk dependent python-pil module.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python3-pil
Architecture: any
Multi-Arch: same
Depends: ${python3:Depends}, mime-support | python3-pil.imagetk,
  ${shlibs:Depends}, ${misc:Depends}
Suggests: python-pil-doc, python3-pil-dbg
Provides: ${python:Provides}, python3-pillow
Conflicts: python3-imaging (<< 1.1.7+2.0.0-1.1)
Breaks: python3-imaging (<< 1.1.7+2.0.0-1.1)
Replaces: python3-imaging (<< 1.1.7+2.0.0-1.1)
Description: Python Imaging Library (Python3)
 The Python Imaging Library (PIL) adds an image object to your Python
 interpreter. You can load images from a variety of file formats, and
 apply a rich set of image operations to them.
 .
 Image Objects:
  o Bilevel, greyscale, palette, true colour (RGB), true colour with
    transparency (RGBA).
  o colour separation (CMYK).
  o Copy, cut, paste operations.
  o Flip, transpose, resize, rotate, and arbitrary affine transforms.
  o Transparency operations.
  o Channel and point operations.
  o Colour transforms, including matrix operations.
  o Image enhancement, including convolution filters.
 .
 File Formats:
  o Full (Open/Load/Save): BMP, EPS (with ghostscript), GIF, IM, JPEG,
    MSP, PDF, PNG, PPM, TIFF, XBM.
  o Read only (Open/Load): ARG, CUR, DCX, FLI, FPX, GBR, GD, ICO, IMT, IPTC,
    MCIDAS, MPEG, PhotoCD, PCX, PIXAR, PSD, TGA, SGI, SUN, TGA, WMF, XPM.
  o Save only: PDF, EPS (without ghostscript).

Package: python3-pil-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: python3-pil (= ${binary:Version}), python3-dbg,
  ${shlibs:Depends}, ${misc:Depends}
Breaks: python3-imaging-dbg (<< 1.1.7+2.0.0-1.1)
Replaces: python3-imaging-dbg (<< 1.1.7+2.0.0-1.1)
Description: Python Imaging Library (Python3 debug extension)
 The Python Imaging Library (PIL) adds an image object to your Python
 interpreter. You can load images from a variety of file formats, and
 apply a rich set of image operations to them.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python3-pil.imagetk
Architecture: any
Multi-Arch: same
Depends: python3-pil (= ${binary:Version}),
  python3-tk (>= 3.4.1-2),
  ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: python-pil-doc, python3-pil.imagetk-dbg
Provides: ${python:Provides}
Breaks: python3-imaging-tk (<< 1.1.7+2.0.0-1.1)
Replaces: python3-imaging-tk (<< 1.1.7+2.0.0-1.1)
Description: Python Imaging Library - ImageTk Module (Python3)
 Tk dependent python-pil module.

Package: python3-pil.imagetk-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python3-pil.imagetk (= ${binary:Version}),
  python3-pil-dbg (= ${binary:Version}),
  python3-dbg, ${shlibs:Depends}, ${misc:Depends}
Breaks: python3-imaging-tk-dbg (<< 1.1.7+2.0.0-1.1)
Replaces: python3-imaging-tk-dbg (<< 1.1.7+2.0.0-1.1)
Description: Python Imaging Library - ImageTk Module (Python3 debug extension)
 Tk dependent python-pil module.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python-pil-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: python-pil-doc-html, python-pil-doc-pdf,
  python-doc, python3-pil | python-pil, python3-pil.imagetk | python-pil.imagetk
Provides: python-imaging-doc
Breaks: python-imaging-doc (<< 1.1.7+2.0.0-1.1)
Replaces: python-imaging-doc (<< 1.1.7+2.0.0-1.1)
Description: Examples for the Python Imaging Library
 The Python Imaging Library (PIL) adds an image object to your
 Python interpreter. You can load image objects from a variety of file
 formats, and apply a rich set of image operations to them.
 .
 This package contains PIL API documentation and some example scripts.
 You may also want to look at the python-pil-doc-html or
 python-pil-doc-pdf packages for the PIL handbook documentation.

Package: python-imaging
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-pil
Conflicts: python-imaging-compat (<< 1.1.7+2.0.0-1.1)
Breaks: python-imaging-compat (<< 1.1.7+2.0.0-1.1)
Replaces: python-imaging-compat (<< 1.1.7+2.0.0-1.1)
Description: Python Imaging Library compatibility layer
 PIL used to provide a PIL.pth file which allowed you to `import Image` but
 this is deprecated.  Use `from PIL import Image` now, or install this
 compatibility package to temporarily get the old behavior back.
 .
 This compatibility package is built for Python 2 only.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVERS	:= $(shell pyversions -vr)
PYVER   := $(shell python -c 'import sys; print sys.version[:3]')

PY3VERS	:= $(shell py3versions -vr)
PY3VER   := $(shell python3 -c 'import sys; print(sys.version[:3])')

include /usr/share/python/python.mk

include /usr/share/dpkg/architecture.mk
ifneq ($(DEB_BUILD_MULTIARCH),$(DEB_HOST_MULTIARCH))
  SET_CROSS_ENV = PYTHONPATH=/usr/lib/python$$pv/plat-$(DEB_HOST_MULTIARCH)

  # FIXME: is this sufficient?
  SET_CROSS_ENV += _PYTHON_HOST_PLATFORM=$(DEB_HOST_GNU_CPU)
endif

build-arch: build
build-indep: build
build: build-stamp
build-stamp: $(PYVERS:%=build-stamp-python%) $(PY3VERS:%=build-stamp-python%) $(PYVERS:%=check-stamp-python%) $(PY3VERS:%=check-stamp-python%)
	touch $@
build-stamp-python%:
#	tar xvf debian/lcms-images.tar.gz
	$(SET_CROSS_ENV) python$* setup.py build

	$(SET_CROSS_ENV) python$*-dbg setup.py build
	touch $@

pillow_tests = $(wildcard Tests/test*.py)

check-stamp-python%:
ifeq ($(DEB_BUILD_MULTIARCH),$(DEB_HOST_MULTIARCH))
	: # run the tests for the debug interpreter, but continue in case of error
	rm -rf tmp
	mkdir -p tmp
	ln -s ../Tests tmp/Tests
	ln -s ../build tmp/build
ifeq (0,1)
	@echo BEGIN python$*-dbg tests
	-cd tmp && python$*-dbg ../debian/test-built.py --processes=1 --process-timeout=90 $(pillow_tests)
endif
	@echo BEGIN python$* tests
	-cd tmp && python$* ../debian/test-built.py --processes=1 --process-timeout=90 $(pillow_tests)
endif
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f *-stamp*
	rm -rf compile build
	rm -rf debian/PILcompat/build
	rm -rf Pillow*.egg-info
	find -name '*.py[co]' -exec rm -f {} \;
	find -type d -name __pycache__ | xargs -r rm -rf
#	rm -f $$(tar tf debian/lcms-images.tar.gz)
	rm -rf tmp
	dh_clean

get-doc:
	wget -r --no-parent --no-host-directories --cut-dirs=2 \
		http://www.pythonware.com/library/pil/handbook/index.htm

install: build install-prereq $(PYVERS:%=install-python%) $(PY3VERS:%=install3-python%)
	dh_installdocs -ppython-pil-doc #Docs/*
	dh_installexamples -ppython-pil-doc Scripts/*

	dh_installdocs -ppython-pil README.rst

	: # Replace all '#!' calls to python with /usr/bin/python
	: # and make them executable
	for i in `find debian/python-pil* -mindepth 3 -type f`; do \
	  sed '1s,#!.*python[^ ]*\(.*\),#! /usr/bin/python\1,' \
		$$i > $$i.temp; \
	  if cmp --quiet $$i $$i.temp; then \
	    rm -f $$i.temp; \
	  else \
	    mv -f $$i.temp $$i; \
	    chmod 755 $$i; \
	    echo "fixed interpreter: $$i"; \
	  fi; \
	done
	for i in `find debian/python3-pil* -mindepth 3 -type f`; do \
	  sed '1s,#!.*python[^ ]*\(.*\),#! /usr/bin/python3\1,' \
		$$i > $$i.temp; \
	  if cmp --quiet $$i $$i.temp; then \
	    rm -f $$i.temp; \
	  else \
	    mv -f $$i.temp $$i; \
	    chmod 755 $$i; \
	    echo "fixed interpreter: $$i"; \
	  fi; \
	done
	for i in debian/python3-pil/usr/bin/*.py; do \
	  mv $$i debian/python3-pil/usr/bin/$$(basename $$i .py); \
	done

install-prereq:
	dh_testdir
	dh_testroot
	dh_clean -k

install-python%:
	$(SET_CROSS_ENV) python$* setup.py install --root $(CURDIR)/debian/python-pil \
		$(py_setup_install_args)
	mkdir -p debian/python-pil/usr/include/python$*
	install -o root -g root -m 644 \
		libImaging/Imaging.h \
		libImaging/ImPlatform.h \
		libImaging/ImDib.h \
		debian/python-pil/usr/include/python$*

	dh_movefiles -ppython-pil.imagetk \
	    --sourcedir=debian/python-pil \
		usr/lib/python$*/$(call py_sitename_sh, $*)/PIL/_imagingtk.so \
		usr/lib/python$*/$(call py_sitename_sh, $*)/PIL/ImageTk.py

	$(SET_CROSS_ENV) python$*-dbg setup.py install \
		--root $(CURDIR)/debian/python-pil-dbg \
		$(py_setup_install_args)
	mkdir -p debian/python-pil-dbg/usr/include/python$*_d
	for i in Imaging.h ImPlatform.h ImDib.h; do \
	  ln -sf ../python$*/$$i \
	    debian/python-pil-dbg/usr/include/python$*_d/$$i; \
	done

	find debian/python-pil*-dbg \
		! -type d ! \( -name '*_d.so' -o -name '*.h' \) | xargs rm -f
	find debian/python-pil*-dbg -depth -empty -exec rmdir {} \;

	dh_movefiles -ppython-pil.imagetk-dbg \
	    --sourcedir=debian/python-pil-dbg \
		usr/lib/python$*/$(call py_sitename_sh, $*)/PIL/_imagingtk_d.so

	# Install the compatibility modules for python2 only.
	cd debian/PILcompat && python$* setup.py install \
		--root $(CURDIR)/debian/python-imaging --install-layout=deb
	find debian/python-imaging -name '*.egg-info' | xargs -r rm -rf

install3-python%:
	$(SET_CROSS_ENV) python$* setup.py install \
		--root $(CURDIR)/debian/python3-pil \
		$(py_setup_install_args)

	incdir=$$(python$* -c 'import sysconfig; print(sysconfig.get_path("include"))'); \
	mkdir -p debian/python3-pil/$$incdir; \
	install -o root -g root -m 644 \
		libImaging/Imaging.h \
		libImaging/ImPlatform.h \
		libImaging/ImDib.h \
		debian/python3-pil/$$incdir

	abitag=.$$(python$* -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))")-$(DEB_HOST_MULTIARCH); \
	dh_movefiles -ppython3-pil.imagetk \
	    --sourcedir=debian/python3-pil \
		usr/lib/python3/$(call py_sitename_sh, $*)/PIL/_imagingtk$$abitag.so \
		usr/lib/python3/$(call py_sitename_sh, $*)/PIL/ImageTk.py

	$(SET_CROSS_ENV) python$*-dbg setup.py install \
		--root $(CURDIR)/debian/python3-pil-dbg \
		$(py_setup_install_args)

	incname=$$(basename $$(python$* -c 'import sysconfig; print(sysconfig.get_path("include"))')); \
	incddir=$$(python$*-dbg -c 'import sysconfig; print(sysconfig.get_path("include"))'); \
	mkdir -p debian/python3-pil-dbg/$$incddir; \
	for i in Imaging.h ImPlatform.h ImDib.h; do \
	  ln -sf ../$$incname/$$i \
	    debian/python3-pil-dbg/$$incddir/$$i; \
	done

	find debian/python3-pil*-dbg \
		! -type d ! \( -name '*.so' -o -name '*.h' \) | xargs rm -f
	find debian/python3-pil*-dbg -depth -empty -exec rmdir {} \;

	abitag=.$$(python$*-dbg -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))")-$(DEB_HOST_MULTIARCH); \
	dh_movefiles -ppython3-pil.imagetk-dbg \
	    --sourcedir=debian/python3-pil-dbg \
		usr/lib/python3/$(call py_sitename_sh, $*)/PIL/_imagingtk$$abitag.so

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installchangelogs -i #CHANGES
	dh_python2 -i
	dh_link -i
	dh_compress -i -X.py
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installchangelogs -a #CHANGES
	for p in \
	  python-pil python-pil.imagetk \
	  python3-pil python3-pil.imagetk; \
	do \
	  rm -rf debian/$$p-dbg/usr/share/doc/$$p-dbg; \
	  ln -s $$p debian/$$p-dbg/usr/share/doc/$$p-dbg; \
	done
	dh_python2 -a
	dh_python3 -a
	dh_strip -ppython-pil --dbg-package=python-pil-dbg
	dh_strip -ppython-pil.imagetk --dbg-package=python-pil.imagetk-dbg
	dh_strip -ppython3-pil --dbg-package=python3-pil-dbg
	dh_strip -ppython3-pil.imagetk --dbg-package=python3-pil.imagetk-dbg
	dh_link -a
	dh_compress -a -X.py
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## pillow 2.9.0

=== debian/changelog ===
pillow (2.9.0-1ubuntu0.2) wily-security; urgency=medium

  * SECURITY UPDATE: buffer overflow in ImagingFliDecode()
    - debian/patches/pillow-CVE-2016-0775.patch: correct memcpy location
    - debian/source/include-binaries: add test image in
      Tests/images/fli_overflow.fli
    - CVE-2016-0775
  * SECURITY UPDATE: buffer overflow in ImagingLibTiffDecode
    - debian/patches/pillow-CVE-2016-0740.patch: correct type of size to
      match that returned by libtiff
    - debian/source/include-binaries: add test image in
      Tests/images/libtiff_segfault.tif
    - CVE-2016-0740
  * SECURITY UPDATE: integer overflow in ImagingResampleHorizontal()
    - debian/patches/pillow-gh#1714.patch: check for integer overflow
  * SECURITY UPDATE: PCD decoder overruns the shuffle buffer
    - debian/patches/pillow-gh#1706.patch: correct size adjustments
    - CVE-2016-2533

 -- Steve Beattie <sbeattie@ubuntu.com>  Fri, 11 Mar 2016 12:12:04 -0800

pillow (2.9.0-1) unstable; urgency=medium

  * Pillow 2.9.0 release.
  * d/rules: Don't add $DEB_HOST_MULTIARCH to SOABI for Python 3.5 since
    it's already included there. Closes: #790085.

 -- Matthias Klose <doko@debian.org>  Wed, 12 Aug 2015 02:59:31 +0200

pillow (2.8.1-1) unstable; urgency=medium

  * Pillow 2.8.1 release.

 -- Matthias Klose <doko@debian.org>  Mon, 01 Jun 2015 19:15:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pillow
 Section: python
 Priority: optional
-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper, tk-dev, dpkg-dev (>= 1.16.1~),
   dh-python,
   python2.7-dev (>= 2.7.8-4),

## pillow 3.1.2

=== Makefile ===
# https://www.gnu.org/software/make/manual/html_node/Phony-Targets.html
.PHONY: clean coverage doc docserve help inplace install install-req release-test sdist test upload upload-test
.DEFAULT_GOAL := release-test

clean:
	python setup.py clean
	rm PIL/*.so || true
	rm -r build || true
	find . -name __pycache__ | xargs rm -r || true

coverage: 
	coverage erase
	coverage run --parallel-mode --include=PIL/* selftest.py
	nosetests --with-cov --cov='PIL/' --cov-report=html Tests/test_*.py
# Doesn't combine properly before report, writing report instead of displaying invalid report.
	rm -r htmlcov || true
	coverage combine
	coverage report

doc:
	$(MAKE) -C docs html

docserve:
	cd docs/_build/html && python -mSimpleHTTPServer 2> /dev/null&

help:
	@echo "Welcome to Pillow development. Please use \`make <target>' where <target> is one of"
	@echo "  clean          remove build products"
	@echo "  coverage       run coverage test (in progress)"
	@echo "  doc            make html docs"
	@echo "  docserve       run an http server on the docs directory"
	@echo "  html           to make standalone HTML files"
	@echo "  inplace        make inplace extension" 
	@echo "  install        make and install"
	@echo "  install-req    install documentation and test dependencies"
	@echo "  release-test   run code and package tests before release"
	@echo "  test           run tests on installed pillow"
	@echo "  upload         build and upload sdists to PyPI" 
	@echo "  upload-test    build and upload sdists to test.pythonpackages.com"

inplace: clean
	python setup.py build_ext --inplace

install:
	python setup.py install
	python selftest.py --installed

install-req:
	pip install -r requirements.txt

release-test:
	$(MAKE) install-req
	python setup.py develop
	python selftest.py
	nosetests Tests/test_*.py
	python setup.py install
	python test-installed.py
	check-manifest
	pyroma .
	viewdoc

sdist:
	python setup.py sdist --format=gztar,zip

test:
	python test-installed.py

# https://docs.python.org/2/distutils/packageindex.html#the-pypirc-file
upload-test:
#       [test]
#       username:
#       password:
#       repository = http://test.pythonpackages.com
	python setup.py sdist --format=gztar,zip upload -r test

upload:
	python setup.py sdist --format=gztar,zip upload

readme:
	viewdoc

=== requirements.txt ===
# Testing and documentation requirements
-e .
-r docs/requirements.txt
coveralls
nose
nose-cov
pep8
pyflakes
check-manifest
pyroma
jarn.viewdoc

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PillowPILfork.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PillowPILfork.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PillowPILfork"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PillowPILfork"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

livehtml: html
	livereload $(BUILDDIR)/html -p 33233

serve:
	cd $(BUILDDIR)/html; python -m SimpleHTTPServer

=== debian/changelog ===
pillow (3.1.2-0ubuntu1.6) xenial-security; urgency=medium

  * SECURITY UPDATE: negative-offset memcpy with an invalid size
    - debian/patches/CVE-2021-25290.patch: add extra check to
      libImaging/TiffDecode.c.
    - CVE-2021-25290
  * SECURITY UPDATE: DoS via invalid reported size
    - debian/patches/CVE-2021-2792x.patch: check reported sizes in
      PIL/IcnsImagePlugin.py, PIL/IcoImagePlugin.py.
    - CVE-2021-27922
    - CVE-2021-27923

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 11 Mar 2021 07:51:05 -0500

pillow (3.1.2-0ubuntu1.5) xenial-security; urgency=medium

  * SECURITY UPDATE: buffer over-read via PCX file
    - debian/patches/CVE-2020-35653.patch: don't trust the image to specify
      a buffer size in PIL/PcxImagePlugin.py, removed failing test in
      Tests/test_image.py.
    - CVE-2020-35653

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 13 Jan 2021 10:51:58 -0500

pillow (3.1.2-0ubuntu1.4) xenial-security; urgency=medium

  * SECURITY UPDATE: multiple out of bounds reads
    - debian/patches/CVE-2020-10177-1.patch: fix issue in
      src/libImaging/FliDecode.c.
    - debian/patches/CVE-2020-10177-2.patch: refactor to macro in
      src/libImaging/FliDecode.c.
    - debian/patches/CVE-2020-10177-3.patch: fix OOB Reads in SS2 Chunk in
      src/libImaging/FliDecode.c.
    - debian/patches/CVE-2020-10177-4.patch: fix OOB in LC packet in
      src/libImaging/FliDecode.c.
    - debian/patches/CVE-2020-10177-5.patch: fix OOB Advance Values in
      src/libImaging/FliDecode.c.
    - debian/patches/CVE-2020-10177-6.patch: fix OOB Read in FLI Copy Chunk
      in src/libImaging/FliDecode.c.
    - debian/patches/CVE-2020-10177-7.patch: fix comments in
      src/libImaging/FliDecode.c.
    - debian/patches/CVE-2020-10177-8.patch: additional FLI check in
      src/libImaging/FliDecode.c.
    - CVE-2020-10177
  * SECURITY UPDATE: out of bounds read with PCX files
    - debian/patches/CVE-2020-10378.patch: fix OOB Access in
      src/libImaging/PcxDecode.c.
    - CVE-2020-10378
  * SECURITY UPDATE: out-of-bounds read via JP2 file
    - debian/patches/CVE-2020-10994-1.patch: fix for OOB Read in
      src/libImaging/Jpeg2KDecode.c.
    - debian/patches/CVE-2020-10994-2.patch: fix typo in
      src/libImaging/Jpeg2KDecode.c.
    - CVE-2020-10994

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 07 Jul 2020 13:43:43 -0400

pillow (3.1.2-0ubuntu1.3) xenial-security; urgency=medium

  * SECURITY UPDATE: Exceed memory amount and delay in process image
    - debian/patches/CVE-2019-16865-*.patch: Corrected negative seeks in
      PIL/PsdImagePlugin.py, Added decompression bomb checks in
      PIL/GifImagePlugin.py and PIL/IcoImagePlugin.py, Catch buffer overruns
      in libImaging/PcxDecode.c, libImaging/FliDecode.c and added some tests
      in Tests/images/*.
    - CVE-2019-16865
  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2019-19911.patch:  Raise an error for an invalid
      number of bands in FPX image in PIL/FpxImagePlugin.py.
    - CVE-2019-19911
  * SECURITY UPDATE: Buffer overflow
    - debian/patches/CVE-2020-5312.patch: Catch PCX P mode buffer overrun
      in libImaging/PcxDecode.c.
    - CVE-2020-5312
  * SECURITY UPDATE: Buffer overflow
    - debian/patches/CVE-2020-5313.patch: catch FLI buffer overrun in
      libImaging/FliDecode.c.
    - CVE-2020-5313
  * Fix decompression tests that failed
    - debian/patches/Fixing_decompression_test.patch: Tests/test_decompression.py.

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 30 Jan 2020 17:15:56 -0300

pillow (3.1.2-0ubuntu1.1) xenial-security; urgency=medium

  * SECURITY UPDATE: information disclosure via crafted image
    - debian/patches/CVE-2016-9189.patch: add overflow checks to map.c.
    - CVE-2016-9189
  * SECURITY UPDATE: code execution via crafted image
    - debian/patches/CVE-2016-9190.patch: add size check to
      libImaging/Storage.c, add test to Tests/images/negative_size.ppm,
      Tests/test_file_ppm.py.
    - CVE-2016-9190

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 10 Mar 2017 08:09:36 -0500

pillow (3.1.2-0ubuntu1) xenial; urgency=medium

  * Pillow 3.1.2 release.
    - CVE-2016-3076; Fix an integer overflow in Jpeg2KEncode.c causing a
      buffer overflow.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Apr 2016 17:54:58 +0200

pillow (3.1.1-1) unstable; urgency=medium

  * Pillow 3.1.1 release.
    - CVE-2016-0740: Fix buffer overflow in TiffDecode.c. Closes: #813905.
    - CVE-2016-0775: Fix buffer overflow in FliDecode.c. Closes: #813909.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Feb 2016 10:40:44 +0100

pillow (3.1.0-1) unstable; urgency=medium

  * Pillow 3.1.0 release.
  * Breaks rapid-photo-downloader (<< 0.4.11). Closes: #806976.
  * Breaks tilestache (<< 1.49.8-3). Closes: #808238.
  * Install upstream changelog. Closes: #805694.

 -- Matthias Klose <doko@debian.org>  Tue, 19 Jan 2016 17:49:58 +0100

pillow (3.0.0-1) unstable; urgency=medium

  * Pillow 3.0.0 release.

 -- Matthias Klose <doko@debian.org>  Mon, 30 Nov 2015 08:35:40 +0100

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,9 @@
   ${shlibs:Depends}, ${misc:Depends}
 Suggests: python-pil-doc, python-pil-dbg
 Provides: ${python:Provides}, python-pillow
-Breaks: python-imaging (<< 1.1.7+2.0.0-1.1)
+Breaks: python-imaging (<< 1.1.7+2.0.0-1.1),
+  rapid-photo-downloader (<< 0.4.11), 
+  tilestache (<< 1.49.8-3),
 Replaces: python-imaging (<< 1.1.7+2.0.0-1.1)
 Description: Python Imaging Library (Pillow fork)
  The Python Imaging Library (PIL) adds an image object to your Python

=== debian/rules ===
--- 
+++ 
@@ -70,7 +70,7 @@
 	dh_installdocs -ppython-pil-doc #Docs/*
 	dh_installexamples -ppython-pil-doc Scripts/*
 
-	dh_installdocs -ppython-pil README.rst
+	dh_installdocs -ppython-pil -ppython3-pil README.rst
 
 	: # Replace all '#!' calls to python with /usr/bin/python
 	: # and make them executable
@@ -103,7 +103,7 @@
 install-prereq:
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 
 install-python%:
 	$(SET_CROSS_ENV) python$* setup.py install --root $(CURDIR)/debian/python-pil \
@@ -155,7 +155,13 @@
 		libImaging/ImDib.h \
 		debian/python3-pil/$$incdir
 
-	abitag=.$$(python$* -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))")-$(DEB_HOST_MULTIARCH); \
+	if `python$* -c "import sys; sys.exit(sys.version_info < (3,5))"`; \
+	then \
+		abitag=.$$(python$* -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))"); \
+	else \
+		abitag=.$$(python$* -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))")-$(DEB_HOST_MULTIARCH); \
+	fi; \
+	echo $$abitag; \
 	dh_movefiles -ppython3-pil.imagetk \
 	    --sourcedir=debian/python3-pil \
 		usr/lib/python3/$(call py_sitename_sh, $*)/PIL/_imagingtk$$abitag.so \
@@ -177,7 +183,12 @@
 		! -type d ! \( -name '*.so' -o -name '*.h' \) | xargs rm -f
 	find debian/python3-pil*-dbg -depth -empty -exec rmdir {} \;
 
-	abitag=.$$(python$*-dbg -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))")-$(DEB_HOST_MULTIARCH); \
+	if `python$* -c "import sys; sys.exit(sys.version_info < (3,5))"`; \
+	then \
+		abitag=.$$(python$*-dbg -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))"); \
+	else \
+		abitag=.$$(python$*-dbg -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))")-$(DEB_HOST_MULTIARCH); \
+	fi; \
 	dh_movefiles -ppython3-pil.imagetk-dbg \
 	    --sourcedir=debian/python3-pil-dbg \
 		usr/lib/python3/$(call py_sitename_sh, $*)/PIL/_imagingtk$$abitag.so
@@ -189,7 +200,7 @@
 	dh_testroot -i
 	dh_installdocs -i
 	dh_installexamples -i
-	dh_installchangelogs -i #CHANGES
+	dh_installchangelogs -i CHANGES.rst
 	dh_python2 -i
 	dh_link -i
 	dh_compress -i -X.py
@@ -205,7 +216,7 @@
 	dh_testroot -a
 	dh_installdocs -a
 	dh_installexamples -a
-	dh_installchangelogs -a #CHANGES
+	dh_installchangelogs -a CHANGES.rst
 	for p in \
 	  python-pil python-pil.imagetk \
 	  python3-pil python3-pil.imagetk; \

## pillow 3.3.1

=== debian/changelog ===
pillow (3.3.1-1ubuntu0.1) yakkety-security; urgency=medium

  * SECURITY UPDATE: information disclosure via crafted image
    - debian/patches/CVE-2016-9189.patch: add overflow checks to map.c.
    - CVE-2016-9189
  * SECURITY UPDATE: code execution via crafted image
    - debian/patches/CVE-2016-9190.patch: add size check to
      libImaging/Storage.c, add test to Tests/images/negative_size.ppm,
      Tests/test_file_ppm.py.
    - CVE-2016-9190

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 10 Mar 2017 08:00:21 -0500

pillow (3.3.1-1) unstable; urgency=medium

  * Pillow 3.3.1 release.

 -- Matthias Klose <doko@debian.org>  Wed, 31 Aug 2016 16:32:48 +0200

pillow (3.3.0-1) unstable; urgency=medium

  * Pillow 3.3.0 release.

 -- Matthias Klose <doko@debian.org>  Thu, 11 Aug 2016 10:18:19 +0200

pillow (3.2.0-2) unstable; urgency=medium

  * Don't run test needing the removed icc profiles.

 -- Matthias Klose <doko@debian.org>  Thu, 05 May 2016 17:42:07 +0200

pillow (3.2.0-1) unstable; urgency=medium

  * Pillow 3.2.0 release.

 -- Matthias Klose <doko@debian.org>  Sat, 16 Apr 2016 18:01:45 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper, tk-dev, dpkg-dev (>= 1.16.1~),
+Build-Depends: debhelper (>= 9), tk-dev, dpkg-dev (>= 1.16.1~),
   dh-python,
   python2.7-dev (>= 2.7.8-4),
   python-all-dev, python-all-dbg, python-setuptools,
@@ -14,7 +14,7 @@
   libfreetype6-dev, libjpeg-dev, zlib1g-dev, liblcms2-dev,
   libtiff5-dev | libtiff-dev, libwebp-dev
 Build-Conflicts: python-cffi, python3-cffi
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://python-pillow.github.io/
 XS-Testsuite: autopkgtest

## pillow 3.4.2

=== debian/changelog ===
pillow (3.4.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Filippo Giunchedi <filippo@debian.org>  Fri, 11 Nov 2016 18:21:06 +0000

pillow (3.4.2-1) unstable; urgency=medium

  * Pillow 3.4.2 release.

 -- Matthias Klose <doko@debian.org>  Wed, 02 Nov 2016 15:48:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pillow
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 9), tk-dev, dpkg-dev (>= 1.16.1~),
   dh-python,
   python2.7-dev (>= 2.7.8-4),

## pillow 4.0.0

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,13 @@
 	rm -r build || true
 	find . -name __pycache__ | xargs rm -r || true
 
-coverage: 
+BRANCHES=`git branch -a | grep -v HEAD | grep -v master | grep remote`
+co:
+	-for i in $(BRANCHES) ; do \
+        git checkout -t $$i ; \
+    done
+
+coverage:
 	coverage erase
 	coverage run --parallel-mode --include=PIL/* selftest.py
 	nosetests --with-cov --cov='PIL/' --cov-report=html Tests/test_*.py
@@ -20,22 +26,29 @@
 doc:
 	$(MAKE) -C docs html
 
+doccheck:
+	$(MAKE) -C docs html
+# Don't make our tests rely on the links in the docs being up every single build.
+# We don't control them.  But do check, and update them to the target of their redirects.
+	$(MAKE) -C docs linkcheck || true
+
 docserve:
 	cd docs/_build/html && python -mSimpleHTTPServer 2> /dev/null&
 
 help:
-	@echo "Welcome to Pillow development. Please use \`make <target>' where <target> is one of"
+	@echo "Welcome to Pillow development. Please use \`make <target>\` where <target> is one of"
 	@echo "  clean          remove build products"
 	@echo "  coverage       run coverage test (in progress)"
 	@echo "  doc            make html docs"
 	@echo "  docserve       run an http server on the docs directory"
 	@echo "  html           to make standalone HTML files"
-	@echo "  inplace        make inplace extension" 
+	@echo "  inplace        make inplace extension"
 	@echo "  install        make and install"
 	@echo "  install-req    install documentation and test dependencies"
+	@echo "  install-venv   install in virtualenv"
 	@echo "  release-test   run code and package tests before release"
 	@echo "  test           run tests on installed pillow"
-	@echo "  upload         build and upload sdists to PyPI" 
+	@echo "  upload         build and upload sdists to PyPI"
 	@echo "  upload-test    build and upload sdists to test.pythonpackages.com"
 
 inplace: clean
@@ -45,8 +58,19 @@
 	python setup.py install
 	python selftest.py --installed
 
+debug:
+# make a debug version if we don't have a -dbg python. Leaves in symbols
+# for our stuff, kills optimization, and redirects to dev null so we 
+# see any build failures.
+	make clean > /dev/null
+	CFLAGS='-g -O0' python setup.py build_ext install > /dev/null
+
 install-req:
 	pip install -r requirements.txt
+
+install-venv:
+	virtualenv .
+	bin/pip install -r requirements.txt
 
 release-test:
 	$(MAKE) install-req

=== debian/changelog ===
pillow (4.0.0-4+deb9u6) stretch-security; urgency=medium

  * Non-maintainer upload by the ELTS Team.
  * CVE-2024-28219: buffer overflow in _imagingcms.c

 -- Adrian Bunk <bunk@debian.org>  Sat, 27 Apr 2024 22:50:15 +0300

pillow (4.0.0-4+deb9u5) stretch-security; urgency=high

  * Non-maintainer upload by the Extended LTS Team.
  * Backport follow-up fix for CVE-2022-22817, upstream commit c930be075.
  * Backport upstream fix for CVE-2023-23437.
  * Backport upstream fix for CVE-2023-44271.
  * Backport upstream fix for CVE-2023-50447 (Closes: #1061172).
  * Mark d/rules with .NOTPARALLEL for an implicit -j1.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 19 Mar 2024 13:01:24 +0800

pillow (4.0.0-4+deb9u4) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * CVE-2022-22815: improper buffer initialization.
  * CVE-2022-22816: buffer over-read.
  * CVE-2022-22817: improper sanitization leading to code execution.
  * Make test suite errors fatal.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 23 Jan 2022 19:18:54 +0100

pillow (4.0.0-4+deb9u3) stretch-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * CVE-2021-34552 - Replace sprintf with snprintf. Backport upstream change
     from 8.3. 
  * CVE-2021-28676 - check that the block advance was
  non-zero, potentially leading to an infinite loop on load.
  * CVE-2021-25290 - Fix negative size read in TiffDecode.c
  * CVE-2020-35653 - Fix read overflow in PCX Decoding
  * CVE-2021-28677 - Fix EPS DOS on _open

 -- Neil Williams <codehelp@debian.org>  Mon, 19 Jul 2021 13:46:43 +0100

pillow (4.0.0-4+deb9u2) stretch-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Add patch to fix multiple OOB reads in FLI decoding.
    (Fixes: CVE-2020-10177)

 -- Utkarsh Gupta <utkarsh@debian.org>  Sat, 08 Aug 2020 21:29:46 +0530

pillow (4.0.0-4+deb9u1) stretch-security; urgency=medium

  * CVE-2019-19911 CVE-2020-5312 CVE-2020-5313

 -- Moritz Mühlenhoff <jmm@debian.org>  Thu, 20 Feb 2020 22:56:37 +0100

pillow (4.0.0-4) unstable; urgency=medium

  * Build again with internal OleFileIO module.

 -- Matthias Klose <doko@debian.org>  Tue, 24 Jan 2017 16:52:07 +0100

pillow (4.0.0-3) unstable; urgency=medium

  * Re-add build dependencies on python*-olefile.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Jan 2017 23:44:36 +0100

pillow (4.0.0-2) unstable; urgency=medium

  * Add imagingtk-int-overflow.patch. Fix integer overflow on 32 bit
    architectures (Markus Koschany). Closes: #847812.

 -- Matthias Klose <doko@debian.org>  Mon, 09 Jan 2017 23:50:08 +0100

pillow (4.0.0-1) unstable; urgency=medium

  * Pillow 4.0.0 release.

 -- Matthias Klose <doko@debian.org>  Thu, 05 Jan 2017 19:47:03 +0100

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
   python-tk, python-tk-dbg,
   python3-tk, python3-tk-dbg,
   python-nose, python3-nose,
+#  python-olefile, python3-olefile,
   libfreetype6-dev, libjpeg-dev, zlib1g-dev, liblcms2-dev,
   libtiff5-dev | libtiff-dev, libwebp-dev
 Build-Conflicts: python-cffi, python3-cffi
@@ -175,6 +176,7 @@
 Package: python-pil-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: python-pil-doc-html, python-pil-doc-pdf,
   python-doc, python3-pil | python-pil, python3-pil.imagetk | python-pil.imagetk

=== debian/rules ===
--- 
+++ 
@@ -42,10 +42,10 @@
 	ln -s ../build tmp/build
 ifeq (0,1)
 	@echo BEGIN python$*-dbg tests
-	-cd tmp && python$*-dbg ../debian/test-built.py --processes=1 --process-timeout=90 $(pillow_tests)
+	cd tmp && python$*-dbg ../debian/test-built.py --processes=1 --process-timeout=90 $(pillow_tests)
 endif
 	@echo BEGIN python$* tests
-	-cd tmp && python$* ../debian/test-built.py --processes=1 --process-timeout=90 $(pillow_tests)
+	cd tmp && python$* ../debian/test-built.py --processes=1 --process-timeout=90 $(pillow_tests)
 endif
 	touch $@
 
@@ -241,3 +241,4 @@
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install
+.NOTPARALLEL:

## pillow 4.1.1

=== debian/changelog ===
pillow (4.1.1-3build2) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 14 Aug 2017 13:28:56 +1200

pillow (4.1.1-3build1) artful; urgency=medium

  * No-change rebuild against libwebpmux3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 28 Jul 2017 03:56:21 +0000

pillow (4.1.1-3) unstable; urgency=medium

  * Restore the python-imaging package for the upload to unstable.

 -- Matthias Klose <doko@debian.org>  Sat, 01 Jul 2017 12:08:54 +0200

pillow (4.1.1-2) experimental; urgency=medium

  * Re-add olefile build dependencies.

 -- Matthias Klose <doko@debian.org>  Fri, 12 May 2017 12:24:32 -0700

pillow (4.1.1-1) experimental; urgency=medium

  * Pillow 4.1.1 release.
  * Build with external OleFileIO module.
  * Stop building the python-imaging package.
    Obsolete bug reports, closes: #557251, #711343, #773307, #815533, #858226.

 -- Matthias Klose <doko@debian.org>  Fri, 12 May 2017 12:05:48 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pillow
 Section: python
 Priority: optional
-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 9), tk-dev, dpkg-dev (>= 1.16.1~),
   dh-python,
   python2.7-dev (>= 2.7.8-4),
@@ -10,7 +11,7 @@
   python-tk, python-tk-dbg,
   python3-tk, python3-tk-dbg,
   python-nose, python3-nose,
-#  python-olefile, python3-olefile,
+  python-olefile, python3-olefile,
   libfreetype6-dev, libjpeg-dev, zlib1g-dev, liblcms2-dev,
   libtiff5-dev | libtiff-dev, libwebp-dev
 Build-Conflicts: python-cffi, python3-cffi
@@ -163,6 +164,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Depends: python3-pil.imagetk (= ${binary:Version}),
   python3-pil-dbg (= ${binary:Version}),
   python3-dbg, ${shlibs:Depends}, ${misc:Depends}
